/******************************************************************************
 cidades.h---------------------------------------------------------------------
 Este arquivo contm a definio da lista de cidades.
 O ideal  que a lista possa ser retirada de um arquivo XML
 Esta nota fica para verses posteriores do programa
 *****************************************************************************/
#pragma once
#define CIDADES 13 // Nmero de cidades, incluindo o ponto zero-zero

struct city {
	float x; // Coordenada X, referente a transformao da longitude
	float y; // Coordenada Y, referente a transformao da longitude
	char nome[50]; // Nome da cidade
} static cidade[CIDADES]; // Vetor de Cidades. Em uma verso posterior, fazer lista.



void iniciaCidades() {


	/**************************************************************************
	  necessrio fazer a funo para que a leitura seja realizada diretamente
	 de um arquivo XML, com as coordenadas em Latitude e Longitude.
	 A converso das coordenadas para o sistema OpenGL pode ser feita da seguinte
	 forma:
		<>
	 *************************************************************************/


	// if prudente
	// if bauru, use o normal
	strcpy(cidade[0].nome, "+ Agua Clara");
	cidade[0].x = -0.874493927;
	cidade[0].y = 0.469635628;


	strcpy(cidade[1].nome, "+ Bauru");
	cidade[1].x = -0.012145749;
	cidade[1].y = 0.008097166;


	strcpy(cidade[2].nome, "+ Marilia");
	cidade[2].x = -0.218623482;
	cidade[2].y = 0.028340081;


	strcpy(cidade[3].nome, "+ Presidente Prudente");
	cidade[3].x = -0.538461538;
	cidade[3].y = 0.048582996;


	strcpy(cidade[4].nome, "+ Sao Jose do Rio Preto");
	cidade[4].x = -0.093117409;
	cidade[4].y = 0.376518219;


	strcpy(cidade[5].nome, "+ Ilha Solteira");
	cidade[5].x = -0.534412955;
	cidade[5].y = 0.465587045;


	strcpy(cidade[6].nome, "+ Sao Paulo");
	cidade[6].x = 0.538461538;
	cidade[6].y = -0.303643725;


	strcpy(cidade[7].nome, "+ Franca");
	cidade[7].x = 0.372469636;
	cidade[7].y = 0.441295547;


	strcpy(cidade[8].nome, "+ Registro");
	cidade[8].x = 0.263157895;
	cidade[8].y = -0.534412955;


	strcpy(cidade[9].nome, "+ Londrina");
	cidade[9].x = -0.469635628;
	cidade[9].y = -0.246963563;


	strcpy(cidade[10].nome, "+ Curitiba");
	cidade[10].x = -0.052631579;
	cidade[10].y = -0.765182186;


	strcpy(cidade[11].nome, "+ Uberlandia");
	cidade[11].x = 0.178137652;
	cidade[11].y = 0.846153846;


	strcpy(cidade[12].nome, "+ Varginha");
	cidade[12].x = 0.821862348;
	cidade[12].y = 0.178137652;
}
